/// <reference types="react" />
import { TweenParams } from "./tween";
declare type Element = React.ReactNode;
declare type Key = number;
export declare type Line = {
    element: Element;
    elementWithProgress?: (progress: number) => Element;
    key: Key;
};
export declare type LineTransition = {
    element: React.ReactNode;
    elementWithProgress?: (progress: number) => Element;
    key: number;
    tweenY: TweenParams;
    tweenX: TweenParams;
};
export declare function useLineTransitions(prevLines: Line[], nextLines: Line[]): {
    lines: LineTransition[];
    verticalInterval: [number, number];
};
export {};
